Index: tests/regression/Molecules/StretchBond/post/ethane.xyz
===================================================================
--- tests/regression/Molecules/StretchBond/post/ethane.xyz	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
+++ tests/regression/Molecules/StretchBond/post/ethane.xyz	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder on Wed Sep 26 14:21:04 2012, time step 0
+C	9.80813	10.1357	10
+C	11.4411	8.98091	10
+H	9.80813	10.765	9.11
+H	9.80813	10.765	10.89
+H	11.4411	8.35161	9.11
+H	11.4411	8.35161	10.89
+H	8.91815	9.50637	10
+H	12.3312	9.61026	10
Index: tests/regression/Molecules/StretchBond/pre/ethane.xyz
===================================================================
--- tests/regression/Molecules/StretchBond/pre/ethane.xyz	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
+++ tests/regression/Molecules/StretchBond/pre/ethane.xyz	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder on Wed Sep 26 14:20:07 2012, time step 0
+C	10	10	10
+C	11.2492	9.1166	10
+H	10	10.6293	9.11
+H	10	10.6293	10.89
+H	11.2492	8.4873	9.11
+H	11.2492	8.4873	10.89
+H	9.11002	9.37068	10
+H	12.1393	9.74595	10
Index: tests/regression/Molecules/StretchBond/testsuite-molecules-stretch-bond.at
===================================================================
--- tests/regression/Molecules/StretchBond/testsuite-molecules-stretch-bond.at	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
+++ tests/regression/Molecules/StretchBond/testsuite-molecules-stretch-bond.at	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
@@ -0,0 +1,68 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### stretching bond
+
+AT_SETUP([Molecules - Stretching bond])
+AT_KEYWORDS([molecules stretch-bond])
+
+file=ethane.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/StretchBond/pre/$file $file], 0)
+AT_CHECK([chmod +w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-atom-by-element 6 --stretch-bond 2.], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/StretchBond/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Molecules - Stretching bond with Undo])
+AT_KEYWORDS([molecules stretch-bond undo])
+
+file=ethane.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/StretchBond/pre/$file $file], 0)
+AT_CHECK([chmod +w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-atom-by-element 6 --stretch-bond 2. --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/StretchBond/pre/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Molecules - Stretching bond with Redo])
+AT_KEYWORDS([molecules stretch-bond redo])
+
+file=ethane.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/StretchBond/pre/$file $file], 0)
+AT_CHECK([chmod +w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-atom-by-element 6 --stretch-bond 2. --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/StretchBond/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Molecules/testsuite-molecules.at
===================================================================
--- tests/regression/Molecules/testsuite-molecules.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/regression/Molecules/testsuite-molecules.at	(revision 3a51bd61d13a71ec61cf8dd25196d15612bdfe3e)
@@ -76,2 +76,5 @@
 # Rotate around self
 m4_include([Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at])
+
+# stretch one of its bond
+m4_include([Molecules/StretchBond/testsuite-molecules-stretch-bond.at])
